Pour ceux qui ne desirent pas compiler a la main leurs versions de PHP en parallèle, et qui veulent tester leur codes sur plusieurs versions (incluant des sous versions) de PHP, phpfarm est la pour les aider.

L’installation est tres simple, via Git :

$ git clone git://git.code.sf.net/p/phpfarm/code phpfarm

Il suffit d’executer la commander suivante par la suite, pour changer/installer votre version courante de PHP :

$ cd phpfarm/src/
$ ./compile.sh 5.3.8
$ ../inst/bin/php-5.3.8 --version
PHP 5.3.8 (cli) (built: Sep 03 2011 00:05:23) (DEBUG)
Copyright (c) 1997-2011 The PHP Group
Zend Engine v2.3.0, Copyright (c) 1998-2011 Zend Technologies